Update tenant settings
curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/v1/tenant/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auditLogEnabled": true,
"hasSupportAccess": true,
"maintenanceWindowDay": "<string>",
"maintenanceWindowEnabled": true,
"maintenanceWindowTime": "<string>",
"oidcEnabled": true,
"useAIBIUserInterface": true
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/tenant/settings"
payload = {
"auditLogEnabled": True,
"hasSupportAccess": True,
"maintenanceWindowDay": "<string>",
"maintenanceWindowEnabled": True,
"maintenanceWindowTime": "<string>",
"oidcEnabled": True,
"useAIBIUserInterface": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auditLogEnabled: true,
hasSupportAccess: true,
maintenanceWindowDay: '<string>',
maintenanceWindowEnabled: true,
maintenanceWindowTime: '<string>',
oidcEnabled: true,
useAIBIUserInterface: true
})
};
fetch('https://{tenant}.cubecloud.dev/api/v1/tenant/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auditLogEnabled": true,
"auditLogEnabledCurrent": true,
"auditLogEnabledTimestamp": 123,
"hasSupportAccess": true,
"maintenanceWindowDay": "<string>",
"maintenanceWindowEnabled": true,
"maintenanceWindowTime": "<string>",
"oidcEnabled": true,
"useAIBIUserInterface": true
}Tenant Settings
Update tenant settings
PUT
/
v1
/
tenant
/
settings
Update tenant settings
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Body
application/json
TenantSettingsInput
Response
200 - application/json
⌘I